#include <gltk.hh>
class MyWindow :
	public gltk::Window
{
	gltk::Adjustment a;
	gltk::Slider s1;
	gltk::Slider s2;
public:
	MyWindow() :
		a(0.5, 0.0, 1.0, 0.01, 0.05, 0.0),
		s1(& a),
		s2(& a, gltk::ORIENTATION_VERTICAL)
	{
		gltk::Box * b = gltk::manage(new gltk::Box(gltk::ORIENTATION_HORIZONTAL));
		add(b);
		b->pack_start(s1);
		b->pack_start(s2);
		show_all();
	}
};

int main(int argc, char *argv[])
{
	gltk::Main kit(argc, argv);
	MyWindow win;
	gltk::Main::run(win);
	return 0;
}
