/* glut_inc.hh
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
/**
   \file glut_inc.hh Include to get GLUT header.
   This include file provides compile time directives to get the GLUT
   header on various platforms. This also makes all OpenGL functions
   available.
*/
#ifdef __APPLE__
#include <GLUT/glut.h>
#else
#ifndef FREEGLUT
#include <cstdlib>
#endif
#include <GL/glut.h>
#endif
